# monitoring-plugins

Monitoring plugins for Nagios, Icinga and all other NRPE compatible monitoring solutions 

#### check_reboot-required
Plugin for NRPE (Nagios Remote Plugin Executor) for Debian/Ubuntu and Red Hat/CentOS
to check if a reboot is required and also list packages that requires reboot

#### stat_net.pl
Plugin for checking network errors and statictics

#### restart_service
Event command to restart a service. Restarting a service will require sudo privileges on systemctl / service binaries. Add the following to `/etc/sudoers` on the client machine:
```
icinga ALL=(ALL) NOPASSWD: /bin/systemctl restart *
icinga ALL=(ALL) NOPASSWD: /usr/bin/systemctl restart *
icinga ALL=(ALL) NOPASSWD: /sbin/service * restart
icinga ALL=(ALL) NOPASSWD: /usr/sbin/service * restart
```

If your Icinga2 client runs as a different user adjust as necessary.

This is meant for use with a command_endpoint set to the client. See [official documentation](https://icinga.com/docs/icinga-2/latest/doc/03-monitoring-basics/#use-event-commands-to-send-information-from-the-master) examples.